## bitmap-mule 8.5%2B0.20030825.0433

=== debian/changelog ===
bitmap-mule (8.5+0.20030825.0433-16) unstable; urgency=medium

  * Do not save timestamps to *.pcf.gz files (closes: #777293)
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 Apr 2015 19:45:59 +0900

bitmap-mule (8.5+0.20030825.0433-15) unstable; urgency=medium

  * Depend on emacsen-common 2.0.8
  * Use debian-emacs-flavor instead of flavor in emacsen-startup
  * Install a compat file with emacsen-compat

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Aug 2014 19:22:26 +0900

bitmap-mule (8.5+0.20030825.0433-14) unstable; urgency=medium

  * Do not fail when apel is not yet configured
  * Do not load bitmap in emacsen-startup for Emacs >=21
  * Install a compat file for emacsen-common 2.0.0
  * Handle an installed file to follow emacsen-common 2.0.7
  * Add emacsen-common (<< 2.0.0) to Conflicts
  * Update debian/copyright
  * Update Standards-Version to 3.9.5
  * Add Vcs-Git and Vcs-Browser

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 01 Feb 2014 22:33:00 +0900

bitmap-mule (8.5+0.20030825.0433-13) unstable; urgency=low

  * debian/control: Add emacs24 to Depends (closes: #679943)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jul 2012 08:25:22 +0900

bitmap-mule (8.5+0.20030825.0433-12) unstable; urgency=low

  * debian/emacsen-install: Create relative symlinks.
  * debian/emacsen-install, debian/emacsen-remove: Rewritten.
  * debian/rules: Remove handling of emacsen-install.in.
  * debian/patches/*.patch: Typo fix.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 29 Apr 2012 14:08:44 +0900

bitmap-mule (8.5+0.20030825.0433-11) unstable; urgency=low

  * debian/rules, debian/patches/020_po.patch, debian/emacsen-install.in:
    Rename po.el to bm-po.el to avoid a name clash. (closes: #670352)
  * debian/control:
    - Add eamcs23 to Depends. (closes: #598596)
    - Set Section to "fonts" for xfonts-bitmap-mule.
    - Add ${misc:Depends} to Depends.
    - Update Standards-Version to 3.9.3.
  * debian/rules: New targets build-arch and build-indep.
  * debian/copyright: Switch to copyright-format-1.0.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 28 Apr 2012 00:11:13 +0900

bitmap-mule (8.5+0.20030825.0433-10) unstable; urgency=high

  * debian/control: Add "make" to Depends to fix installation failure.
    (closes: #603075) 

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Nov 2010 09:49:01 +0900

bitmap-mule (8.5+0.20030825.0433-9) unstable; urgency=low

  * bitmap-ci.el: Check update-coding-systems-internal for Emacs 23.
    (closes: #477177)
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Build-Depends: debhelper (>= 6).
  * debian/compat: 5 -> 6.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 23 Apr 2008 23:01:27 +0900

bitmap-mule (8.5+0.20030825.0433-8) unstable; urgency=low

  * debian/emacsen-startup, debian/emacsen-install.in: Add comment for
    emacs22.
  * debian/control: Set Standards-Version to 3.7.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 08 Dec 2007 07:19:26 +0900

bitmap-mule (8.5+0.20030825.0433-7) unstable; urgency=low

  * debian/control:
    - Prefer emacs to emacs21.
    - Add emacs22 to Depends.
    - Remove emacs-snapshot from Depends.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jul 2007 21:16:37 +0900

bitmap-mule (8.5+0.20030825.0433-6) unstable; urgency=low

  * debian/emacsen-install.in: Don't install po.el for emacs22 and later,
    which conflicts with lisp/textmodes/po.el.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 30 Apr 2007 22:30:08 +0900

bitmap-mule (8.5+0.20030825.0433-5) unstable; urgency=low

  * debian/rules (Depends):
    - Add `emacs-snapshot'. (closes: #403160)
    - Remove redundant version of apel.
  * debian/rules: Set FONTS_DIR to `/usr/share/fonts/X11/misc' and use it.
  * xfonts-bitmap-mule.dirs: Removed.
  * debian/control: Add `Homepage:' to Description.
  * debian/watch: Set Action to uupdate.
  * debian/copyright:
    - Update copyright years.
    - Mention Debian packaging conditions.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Apr 2007 20:56:26 +0900

bitmap-mule (8.5+0.20030825.0433-4) unstable; urgency=low

  * debian/control (Build-Depends-Indep): Add `xfonts-utils' and remove
    `xbase-clients, xutils'.  It's enough to use `bdftopcf'.
  * debian/control (xfonts-bitmap-mule): Add `Depends: ${misc:Depends}' and
    remove `Conflicts: xbase-clients (<< 4.0)'.
  * debian/watch: Use HTTP instead of FTP.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 11 Jun 2006 17:40:41 +0900

bitmap-mule (8.5+0.20030825.0433-3) unstable; urgency=low

  * debian/rules: Migrate font location from `/usr/X11R6/lib/X11/fonts' to
    `/usr/share/fonts/X11'. (closes: #362340)
  * debian/xfonts-bitmap-mule.dirs: Ditto.
  * debian/control (Build-Depends): Depend on debhelper version 5.0.31, which
    supports the new font location.
  * debian/compat: 3 -> 5.
  * debian/control (Standards-Version): 3.6.1 -> 3.7.2
  * debian/control (Maintainer): tats@vega.ocn.ne.jp -> tats@debian.org.
  * debian/copyright: Update the postal address of the Free Software
    Foundation, etc.
  * debian/emacsen-install.in: Ready for emacsen flavors sxemacs*.
  * debian/control: Revise short description.
  * debian/watch: New file.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun,  4 Jun 2006 20:35:38 +0900

bitmap-mule (8.5+0.20030825.0433-2) unstable; urgency=low

  * debian/control (Depends): Remove `emacs20'. (closes: #232746)
  * debian/control (Build-Depends-Indep): Remove `emacs20'. (closes: #232732)
  * debian/emacsen-install.in: Create *.el symlinks.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun, 23 May 2004 01:20:22 +0900

bitmap-mule (8.5+0.20030825.0433-1) unstable; urgency=low

  * New upstream release. (snapshots/bitmap-mule-200308250433.tar.gz)
    - gnus-bitmap.el (gnus-treat-display-x-face): Bind it when
      compiling.

