=== debian/control ===
Source: bitmap-mule
Section: editors
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: xfonts-utils, bdfresize, emacs
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/bitmap-mule.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/bitmap-mule.git
Homepage: http://www.jpl.org/elips/bitmap/

Package: bitmap-mule
Architecture: all
Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs21, apel, make, ${misc:Depends}
Recommends: xfonts-bitmap-mule
Suggests: compface, x-face-el
Description: bitmap handler for GNU Emacs
 BITMAP-MULE is a package to use bitmap in MULE (XEmacs is not supported).
 .
 BITMAP-MULE has following modules:
 .
  - bitmap.el:       kernel of BITMAP-MULE
  - bitmap-bi.el:    functions for Emacs 20.2 or earlier
  - bitmap-ci.el:    functions for Emacs 20.3 or later
  - bm-utils.el:     utility functions.
  - po.el:           tiny BDF font editor
  - smiley-mule.el:  smiley faces encoder/decoder
  - x-face-mule.el:  inline X-Face decoder
  - x-face-18.el:    X-Face decoder for Emacs 18
  - gnus-bitmap.el:  Gnus/gnus related functions
  - vm-bitmap.el:    VM related functions

Package: xfonts-bitmap-mule
Section: fonts
Architecture: all
Depends: ${misc:Depends}
Suggests: xfs, xserver, bitmap-mule
Conflicts: bitmap-font
Replaces: bitmap-font
Description: fonts of BITMAP-MULE for X
 This package contains some bitmap fonts for X.
 .
  - bitmap12 (6x12)
  - bitmap14 (7x14)
  - bitmap16 (8x16)
  - bitmap20 (10x20)
  - bitmap24 (12x24)
 .
 These fonts are generated by BITMAP-MULE.
 .
 BITMAP-MULE is a bitmap handler for GNU Emacs.  If you want to use
 BITMAP-MULE, install the bitmap-mule package.
