=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FONTS_DIR=/usr/share/fonts/X11/misc

build: build-arch build-indep

build-arch:

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	cd font && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp

	cd font && $(MAKE) clean
	rm -f font/*.bdf

	dh_clean

install: install-arch install-indep

install-indep: DH_OPTIONS=-i
install-indep: 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp Makefile *.el BITMAP-* debian/bitmap-mule/usr/share/emacs/site-lisp/bitmap-mule
	mv debian/bitmap-mule/usr/share/emacs/site-lisp/bitmap-mule/po.el debian/bitmap-mule/usr/share/emacs/site-lisp/bitmap-mule/bm-po.el
	cp *.xbm debian/bitmap-mule/usr/share/pixmaps/bitmap-mule

	install -d $(CURDIR)/debian/xfonts-bitmap-mule$(FONTS_DIR)
	cp font/*.pcf debian/xfonts-bitmap-mule$(FONTS_DIR)
	gzip -9n debian/xfonts-bitmap-mule$(FONTS_DIR)/*.pcf

	touch install-stamp

install-arch: DH_OPTIONS=-a
install-arch: 

binary-indep: DH_OPTIONS=-i
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installdocs -pbitmap-mule -pxfonts-bitmap-mule
	dh_installemacsen -pbitmap-mule --priority 65
	dh_installchangelogs -pbitmap-mule -pxfonts-bitmap-mule ChangeLog
	dh_installxfonts -pxfonts-bitmap-mule
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: build-arch install-arch

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install-indep install-arch install
