=== debian/watch ===
version=3
http://www.jpl.org/elips/bitmap/ bitmap-mule-([0-9]+\..*)\.tar\.gz debian uupdate
